## graphviz-dot-mode 0.4%2B41%2Bgc456a2b

=== texinfo/Makefile ===
BASENAME := graphviz-dot-mode
SOURCE	:= $(BASENAME).texi
INCLUDE	:= fdl.texi gpl-2.0.texi gpl.texi

INFODIR := ~/info

TEXINFODIR := /usr/local/Cellar/texinfo/6.4/bin
TEXI2ANY := $(TEXINFODIR)/texi2any
TEXI2PDF := $(TEXINFODIR)/texi2pdf
TEXI2DVI := $(TEXINFODIR)/texi2dvi
INSTALLINFO := $(TEXINFODIR)/install-info
SMARTYPANTS := /usr/local/bin/smartypants
PANDOC := /usr/local/bin/pandoc
GZIP := /usr/bin/gzip
INSTALL := /usr/bin/install

help:
	# Options:
	# make info
	# make install
	#
	# make html
	# make pdf
	# make ps
	# make txt
	# make docbook
	# make adoc
	# make epub	# lacks index
	# make md	# lacks index
	#
	# make clean
	#
	# This Makefile uses TexInfo and Pandoc
	# Check the file locations at top of this Makefile.

info: $(BASENAME).info.gz

html: $(BASENAME).html

pdf: $(BASENAME).pdf

ps: $(BASENAME).ps

txt: $(BASENAME).txt

docbook: $(BASENAME).xml

adoc: $(BASENAME).adoc

epub: $(BASENAME).epub

md: $(BASENAME).md

$(BASENAME).info: ${SOURCE} ${INCLUDE}
	$(TEXI2ANY) --info $<

$(BASENAME).info.gz: $(BASENAME).info
	$(GZIP) $<

install: $(BASENAME).info.gz
	$(INSTALL) $< $(INFODIR)
	$(INSTALLINFO) $(INFODIR)/$< $(INFODIR)/dir

$(BASENAME).html: ${SOURCE} ${INCLUDE}
	$(TEXI2ANY) --HTML --no-split --no-headers ${SOURCE} | ${SMARTYPANTS}

$(BASENAME).pdf: ${SOURCE} ${INCLUDE} $(BASENAME).info
	$(TEXI2PDF) $<

$(BASENAME).ps: ${SOURCE} ${INCLUDE} $(BASENAME).info
	$(TEXI2DVI) --ps  $<

$(BASENAME).txt: ${SOURCE} ${INCLUDE}
	$(TEXI2ANY) --plaintext $< >$@

# texi2any --docbook handles @Xindex entries poorly. Remove them first.
$(BASENAME).xml: ${SOURCE} ${INCLUDE} $(BASENAME).info
	grep -v "^@[cfkptv]index " $< >$(BASENAME)._texi
	$(TEXI2ANY) --docbook $(BASENAME)._texi

$(BASENAME).adoc: $(BASENAME).xml
	$(PANDOC) -t asciidoc -o $@ -f docbook $<

$(BASENAME).epub: $(BASENAME).xml
	$(PANDOC) -t epub -o $@ -f docbook $<

$(BASENAME).md: $(BASENAME).xml
	$(PANDOC) -t markdown_strict -o $@ -f docbook $<

clean:
	rm *.aux *.toc *.log || true
	rm *.cp *.cps *.vr *.vrs *.fn *.fns *.ky *.kys *.pg *.pgs || true
	rm $(BASENAME).dvi $(BASENAME).ps $(BASENAME).adoc || true
	rm $(BASENAME).xml $(BASENAME).epub $(BASENAME).md || true
	rm $(BASENAME).html $(BASENAME).txt $(BASENAME).pdf || true
	rm $(BASENAME).info $(BASENAME).info.gz || true

=== debian/control ===
Source: graphviz-dot-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10),
 dh-elpa
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/emacsen-team/graphviz-dot-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/graphviz-dot-mode.git/

Package: elpa-graphviz-dot-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs25
Description: Emacs mode for the dot-language used by graphviz.
 Graphviz is open source graph visualization software. Graph
 visualization is a way of representing structural information as
 diagrams of abstract graphs and networks. The Graphviz layout
 programs take descriptions of graphs in a simple text language, and
 make diagrams in useful formats. This package helps Emacs users edit
 the graphviz input language.

## graphviz-dot-mode 0.4+41+gc456a2b

=== debian/changelog ===
graphviz-dot-mode (0.4+41+gc456a2b-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Thu, 29 Aug 2019 07:11:43 -0300

graphviz-dot-mode (0.4+41+gc456a2b-1) unstable; urgency=medium

  * Initial release (see #902604).

 -- David Bremner <bremner@debian.org>  Sat, 07 Jul 2018 08:27:16 -0300

## graphviz-dot-mode 0.4.2

=== debian/changelog ===
graphviz-dot-mode (0.4.2-2) unstable; urgency=medium

  * Drop recommends for emacs.
  * Add manual depends on elpa-company, since upstream metadata seems
    missing (Closes: #976663).

 -- David Bremner <bremner@debian.org>  Sun, 06 Dec 2020 12:37:34 -0400

graphviz-dot-mode (0.4.2-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "graphviz.el customize-mode", thanks to Kevin Ryde (Closes:
    #714575).

 -- David Bremner <bremner@debian.org>  Sun, 06 Dec 2020 08:28:54 -0400

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,8 @@
 
 Package: elpa-graphviz-dot-mode
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
-Enhances: emacs,
- emacs25
+Depends: ${elpa:Depends}, ${misc:Depends}, elpa-company
+Enhances: emacs
 Description: Emacs mode for the dot-language used by graphviz.
  Graphviz is open source graph visualization software. Graph
  visualization is a way of representing structural information as

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/graphviz-dot-mode-$1.tar.gz/" \
    https://github.com/ppareit/graphviz-dot-mode/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## graphviz-dot-mode 0.4.2+git20230325.8ff793b

=== texinfo/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 INFODIR := ~/info
 
-TEXINFODIR := /usr/local/Cellar/texinfo/6.4/bin
+TEXINFODIR := /usr/local/Cellar/texinfo/6.5/bin
 TEXI2ANY := $(TEXINFODIR)/texi2any
 TEXI2PDF := $(TEXINFODIR)/texi2pdf
 TEXI2DVI := $(TEXINFODIR)/texi2dvi

=== debian/changelog ===
graphviz-dot-mode (0.4.2+git20230325.8ff793b-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:07:22 +0900

graphviz-dot-mode (0.4.2+git20230325.8ff793b-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Sync to latest snapshot (8ff793b).
    - Implement completion based on capf and drop company dependency.
    - Switch to lexical-binding.
  * Drop dependency on company in d/control now that it is capf-based.
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2.  No change needed.
  * Add Homepage in d/control.
  * Add "Rules-Requires-Root: no" in d/control.
  * Do not end description with a sentence end in d/control.
  * Drop extra license file LICENSE.md.
  * Modernize d/watch with special substitute strings to be more robust.
  * Update upstream copyright year in d/changelog.
  * Add Source and Upstream-Contact in d/copyright.

 -- David Bremner <bremner@debian.org>  Sun, 31 Mar 2024 08:45:35 -0300

=== debian/control ===
Source: graphviz-dot-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa
Standards-Version: 4.6.2
Homepage: https://ppareit.github.io/graphviz-dot-mode/
Vcs-Browser: https://salsa.debian.org/emacsen-team/graphviz-dot-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/graphviz-dot-mode.git/
Rules-Requires-Root: no

Package: elpa-graphviz-dot-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Enhances: emacs
Description: Emacs mode for the dot-language used by graphviz
 Graphviz is open source graph visualization software. Graph
 visualization is a way of representing structural information as
 diagrams of abstract graphs and networks. The Graphviz layout
 programs take descriptions of graphs in a simple text language, and
 make diagrams in useful formats. This package helps Emacs users edit
 the graphviz input language.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/ppareit/graphviz-dot-mode/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
